import React from 'react';
import { render } from '@testing-library/react';
import Marquee from '../index';

var createMarquee = function createMarquee(props) {
  return /*#__PURE__*/React.createElement(Marquee, props, "\u6D4B\u8BD5\u6211\u5728\u6EDA\u52A8");
};

describe('Marquee', function () {
  it('renders correctly', function () {
    var _render = render( /*#__PURE__*/React.createElement("div", null, createMarquee({
      height: 150,
      direction: 'right',
      width: '100%',
      loop: false,
      delay: 5000,
      prefix: 'zarm-marquee'
    }))),
        container = _render.container;

    expect(container).toMatchSnapshot();
  });
  it('renders correctly top', function () {
    var _render2 = render( /*#__PURE__*/React.createElement("div", null, createMarquee({
      height: 150,
      direction: 'left',
      width: '100%',
      loop: false,
      delay: 5000,
      prefix: 'zarm-marquee'
    }))),
        container = _render2.container;

    expect(container).toMatchSnapshot();
  });
  it('renders correctly down', function () {
    var _render3 = render( /*#__PURE__*/React.createElement("div", null, createMarquee({
      height: 150,
      direction: 'down',
      width: 50,
      loop: false,
      delay: 5000,
      prefix: 'zarm-marquee'
    }))),
        container = _render3.container;

    expect(container).toMatchSnapshot();
  });
  it('renders correctly up', function () {
    var _render4 = render( /*#__PURE__*/React.createElement("div", null, createMarquee({
      height: 150,
      direction: 'up',
      width: 50,
      loop: false,
      delay: 5000,
      prefix: 'zarm-marquee'
    }))),
        container = _render4.container;

    expect(container).toMatchSnapshot();
  });
});